namespace EVCB_OCPP.Domain.MainDBContextMigrations
{
    using System;
    using System.Data.Entity.Migrations;
    
    public partial class Add_Fields_MachineConfigure : DbMigration
    {
        public override void Up()
        {
            AddColumn("dbo.MachineConfigures", "AccessType", c => c.Byte(nullable: false));
            AddColumn("dbo.MachineOperateRecord", "EVSE_Value", c => c.String(maxLength: 250));
            AddColumn("dbo.MachineOperateRecord", "EVSE_Status", c => c.Int(nullable: false));
        }
        
        public override void Down()
        {
            DropColumn("dbo.MachineOperateRecord", "EVSE_Status");
            DropColumn("dbo.MachineOperateRecord", "EVSE_Value");
            DropColumn("dbo.MachineConfigures", "AccessType");
        }
    }
}
