namespace EVCB_OCPP.Domain.MainDBContextMigrations
{
    using System;
    using System.Data.Entity.Migrations;
    
    public partial class AddMachine_ConnectorPowerType_Geo : DbMigration
    {
        public override void Up()
        {
            AddColumn("dbo.Machine", "ConnectorPowerType", c => c.String(maxLength: 50));
            AddColumn("dbo.Machine", "Latitude", c => c.Decimal(nullable: false, precision: 10, scale: 6));
            AddColumn("dbo.Machine", "Longitude", c => c.Decimal(nullable: false, precision: 10, scale: 6));
        }
        
        public override void Down()
        {
            DropColumn("dbo.Machine", "Longitude");
            DropColumn("dbo.Machine", "Latitude");
            DropColumn("dbo.Machine", "ConnectorPowerType");
        }
    }
}
