namespace EVCB_OCPP.Domain.MainDBContextMigrations
{
    using System;
    using System.Data.Entity.Migrations;
    
    public partial class Modify_Machine : DbMigration
    {
        public override void Up()
        {
            AddColumn("dbo.Machine", "IsDelete", c => c.Boolean(nullable: false));
            AlterColumn("dbo.Machine", "RatedPower", c => c.Decimal(nullable: false, precision: 6, scale: 2));
            DropColumn("dbo.Machine", "AC");
        }
        
        public override void Down()
        {
            AddColumn("dbo.Machine", "AC", c => c.Boolean(nullable: false));
            AlterColumn("dbo.Machine", "RatedPower", c => c.Int(nullable: false));
            DropColumn("dbo.Machine", "IsDelete");
        }
    }
}
