namespace EVCB_OCPP.Domain.MainDBContextMigrations
{
    using System;
    using System.Data.Entity.Migrations;
    
    public partial class Add_TTIA_Service : DbMigration
    {
        public override void Up()
        {
            AddColumn("dbo.ConnectorStatus", "Type", c => c.Int(nullable: false));
            AddColumn("dbo.Customer", "EnableTTIA", c => c.Boolean(nullable: false));
            AddColumn("dbo.Machine", "TTIATag", c => c.Int(nullable: false));
            AddColumn("dbo.TransactionRecord", "UploadedtoTTIA", c => c.Boolean(nullable: false));
        }
        
        public override void Down()
        {
            DropColumn("dbo.TransactionRecord", "UploadedtoTTIA");
            DropColumn("dbo.Machine", "TTIATag");
            DropColumn("dbo.Customer", "EnableTTIA");
            DropColumn("dbo.ConnectorStatus", "Type");
        }
    }
}
