namespace EVCB_OCPP.Domain.MainDBContextMigrations
{
    using System;
    using System.Data.Entity.Migrations;
    
    public partial class AddCost_Field_TransactionTable : DbMigration
    {
        public override void Up()
        {
            AddColumn("dbo.TransactionRecord", "Cost", c => c.Decimal(nullable: false, precision: 18, scale: 2));
            AddColumn("dbo.TransactionRecord", "Recipt", c => c.String(maxLength: 500));
            AddColumn("dbo.TransactionRecord", "Fee", c => c.String(maxLength: 500));
        }
        
        public override void Down()
        {
            DropColumn("dbo.TransactionRecord", "Fee");
            DropColumn("dbo.TransactionRecord", "Recipt");
            DropColumn("dbo.TransactionRecord", "Cost");
        }
    }
}
