﻿using Newtonsoft.Json;
using EVCB_OCPP.Packet.Utilities;
using EVCB_OCPP.Packet.Messages.SubTypes;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet.Messages.SubTypes
{
    public  class MeterValue
    {
        [Required]
        [JsonConverter(typeof(UTCDateTimeConverter))]
        public DateTime timestamp { set; get; }

        [Required]
        public List<SampledValue> sampledValue { set; get; }
    }
}
