﻿namespace EVCB_OCPP.Packet20.DataTypes.EnumTypes
{
    public enum GetVariableStatusEnumType
    {
        /// <summary>
        ///  Variable successfully set.
        /// </summary>
        Accepted = 1,
        /// <summary>
        ///  Request is rejected.
        /// </summary>
        Rejected,
        /// <summary>
        /// Component is not known.
        /// </summary>
        UnknownComponent,
        /// <summary>
        ///  Variable is not known.
        /// </summary>
        UnknownVariable,
        /// <summary>
        /// The AttributeType is not supported.
        /// </summary>
        NotSupportedAttributeType

    }
}
