﻿namespace EVCB_OCPP.Packet20.DataTypes.EnumTypes
{
    public enum SetVariableStatusEnumType
    {
        /// <summary>
        ///  Variable successfully set.
        /// </summary>
        Accepted = 1,
        /// <summary>
        /// Request is rejected.
        /// </summary>
        Rejected,
        /// <summary>
        ///  Value has invalid format for the variable.
        /// </summary>
        InvalidValue,
        /// <summary>
        /// Component is not known.
        /// </summary>
        UnknownComponent,
        /// <summary>
        ///  Variable is not known.
        /// </summary>
        UnknownVariable,
        /// <summary>
        /// The AttributeType is not supported.
        /// </summary>
        NotSupportedAttributeType,
        /// <summary>
        /// Value is out of range defined in VariableCharacteristics.
        /// </summary>
        OutOfRange,
        /// <summary>
        /// / A reboot is required.
        /// </summary>
        RebootRequired
    }
}
