﻿using EVCB_OCPP.Packet20.DataTypes.EnumTypes;
using Newtonsoft.Json;
using Newtonsoft.Json.Converters;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet20.Messages
{
    public class GetInstalledCertificateIdsRequest
    {
        /// <summary>
        /// Indicates the type of certificates requested.
        ///When omitted, all certificate types are requested
        /// </summary>       
        [JsonConverter(typeof(StringEnumConverter))]
        public List<GetCertificateIdUseEnumType> certificateType { set; get; }
    }
}
