﻿using EVCB_OCPP.Packet20.DataTypes.EnumTypes;
using Newtonsoft.Json;
using Newtonsoft.Json.Converters;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet20.Messages
{
    public class InstallCertificateResponse
    {
        /// <summary>
        ///Charging Station indicates if installation was
        /// successful.
        /// </summary>
        [Required]
        [JsonConverter(typeof(StringEnumConverter))]
        public InstallCertificateStatusEnumType Status { set; get; }
    }
}
