﻿using EVCB_OCPP.Packet20.DataTypes.EnumTypes;
using Newtonsoft.Json;
using Newtonsoft.Json.Converters;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet20.Messages
{
   public class SendLocalListResponse
    {
        /// <summary>
        /// This indicates whether the Charging Station
        ///has successfully received and applied the update of the
        /// Local Authorization List.
        /// </summary>
        [Required]
        [JsonConverter(typeof(StringEnumConverter))]
        public UpdateStatusEnumType Status { set; get; }
    }
}
