﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Domain.Models.Database
{
    [Table("ConnectorMeterValueRecord")]
    public class ConnectorMeterValueRecord
    {

        public ConnectorMeterValueRecord()
        {
            TransactionId = -1;
        }
        [Key]
        public Int64 Id { set; get; }

        [StringLength(50)]
        public string ChargeBoxId { get; set; }

        public byte ConnectorId { set; get; }

        public int TransactionId { set; get; }

        
        public int ContextId { set; get; }

    
        public int FormatId { set; get; }

       
        public int MeasurandId{ set; get; }

      
        public int PhaseId { set; get; }

       
        public int LocationId { set; get; }

        [StringLength(10)]
        public string Value { set; get; }

       
        public int UnitId { set; get; }

        public DateTime CreatedOn { set; get; }


    }
}
