﻿namespace EVCB_OCPP.Domain.Models.Database
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.ComponentModel.DataAnnotations;
    using System.ComponentModel.DataAnnotations.Schema;
    using System.Data.Entity.Spatial;

    /// <summary>
    /// 機器的版本發佈的檔案關連
    /// </summary>
    [Table("MachineVersionFile")]
    public partial class MachineVersionFile
    {
        [Key]
        public int Id { get; set; }
      
        [Required]
        public DateTime CreatedOn { get; set; }



        [StringLength(50)]
        public string ChargeBoxId { get; set; }

        [Required]
        public string UploadFileId { get; set; }


        /// <summary>
        /// 排序
        /// </summary>
        public int Seq { get; set; }
      

        [ForeignKey("UploadFileId")]
        public virtual UploadFile UploadFile { get; set; }
    }
}