﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet.Messages.SubTypes
{
    public enum ChargingProfileKindType
    {
        /// <summary>
        /// Schedule periods are relative to a fixed point in  time defined in the schedule.
        /// </summary>
        Absolute=1,
        /// <summary>
        /// The schedule restarts periodically at the first schedule period.
        /// </summary>
        Recurring,
        /// <summary>
        /// Schedule periods are relative to a situationspecific
        ///start point (such as the start of a session)
        ///that is determined by the charge point.
        /// </summary>
        Relative
    }
}
