﻿namespace EVCB_OCPP.Packet20.DataTypes.EnumTypes
{
    public enum CostKindEnumType
    {
        /// <summary>
        /// Absolute value. Carbon Dioxide emissions, in grams per kWh.
        /// </summary>
        CarbonDioxideEmission,
        /// <summary>
        /// Relative value. Price per kWh, as percentage relative to the maximum price stated in any of all tariffs
        ///indicated to the EV.
        /// </summary>
        RelativePricePercentage,
        /// <summary>
        /// Relative value. Percentage of renewable generation within total generation.
        /// </summary>
        RenewableGenerationPercentage,

    }
}
