﻿namespace EVCB_OCPP.Packet20.DataTypes.EnumTypes
{
    public enum DisplayMessageStatusEnumType
    {
        /// <summary>
        ///  Request to display message accepted.
        /// </summary>
        Accepted = 1,
        /// <summary>
        /// None of the formats in the given message are supported.
        /// </summary>
        NotSupportedMessageFormat,
        /// <summary>
        ///  Request cannot be handled.
        /// </summary>
        Rejected,
        /// <summary>
        /// The given MessagePriority not supported for displaying messages by Charging Station.
        /// </summary>
        NotSupportedPriority,
        /// <summary>
        ///  The given MessageState not supported for displaying messages by Charging Station.
        /// </summary>
        NotSupportedState,
        /// <summary>
        /// Given Transaction not known/ongoing.
        /// </summary>
        UnknownTransaction
    }
}
