﻿namespace EVCB_OCPP.Packet20.DataTypes.EnumTypes
{
    public enum RegistrationStatusEnumType
    {
        /// <summary>
        ///  Charging Station is accepted by the CSMS.
        /// </summary>
        Accepted = 1,
        /// <summary>
        ///  CSMS is not yet ready to accept the Charging Station. CSMS may send messages to retrieve information or
        ///prepare the Charging Station.
        /// </summary>
        Pending,
        /// <summary>
        ///  Charging Station is not accepted by CSMS. This may happen when the Charging Station id is not known by
        /// </summary>
        Rejected
    }
}
