﻿namespace EVCB_OCPP.Packet20.DataTypes.EnumTypes
{
    public enum ResetStatusEnumType
    {
        /// <summary>
        ///  Command will be executed.
        /// </summary>
        Accepted = 1,
        /// <summary>
        /// /Command will not be executed.
        /// </summary>
        Rejected,
        /// <summary>
        ///  Reset command is scheduled, Charging Station is busy with a process that cannot be interrupted at the
        /// moment. Reset will be executed when process is finished.
        /// </summary>
        Scheduled
    }
}
