﻿using EVCB_OCPP.Packet20.DataTypes.EnumTypes;
using Newtonsoft.Json;
using Newtonsoft.Json.Converters;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet20.Messages
{
    public class Get15118EVCertificateResponse
    {
        /// <summary>
        /// Indicates whether the message was processed
        /// properly
        /// </summary>
        [Required]
        [JsonConverter(typeof(StringEnumConverter))]
        public Iso15118EVCertificateStatusEnumType Status { set; get; }


        /// <summary>
        /// Raw CertificateInstallationReq request from EV,
        ///  Base64 encoded.
        /// </summary>
        [Required]
        [StringLength(5600, MinimumLength = 0)]
        public string ExiResponse { set; get; }

    }
}
