﻿using EVCB_OCPP.Packet20.DataTypes.EnumTypes;
using Newtonsoft.Json;
using Newtonsoft.Json.Converters;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet20.Messages
{
    public class GetDisplayMessagesResponse
    {
        /// <summary>
        /// Indicates if the Charging Station has Display
        /// Messages that match the request criteria in the
        ///GetDisplayMessagesRequest
        /// </summary>
        [Required]
        [JsonConverter(typeof(StringEnumConverter))]
        public GetDisplayMessagesStatusEnumType Status { set; get; }


    }
}
