﻿using EVCB_OCPP.Packet20.DataTypes.EnumTypes;
using Newtonsoft.Json;
using Newtonsoft.Json.Converters;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.Packet20.Messages
{
  public  class TriggerMessageResponse
    {
        /// <summary>
        /// Indicates whether the Charging Station will
        ///send the requested notification or not
        /// </summary>
        [Required]
        [JsonConverter(typeof(StringEnumConverter))]
        public TriggerMessageStatusEnumType Status { set; get; }
    }
}
